Package com.castlabs.sdk.debug.view

# Class TrackSelectionsFragment

java.lang.Object
androidx.fragment.app.Fragment
com.castlabs.sdk.debug.view.AbstractSingleListFragment<com.castlabs.sdk.debug.view.TrackSelectionsFragment.TrackSelection>
com.castlabs.sdk.debug.view.TrackSelectionsFragment

All Implemented Interfaces:
  `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.activity.result.ActivityResultCaller`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`, `ExtendedPlayerViewProvider.Listener`

public class TrackSelectionsFragment extends AbstractSingleListFragment<com.castlabs.sdk.debug.view.TrackSelectionsFragment.TrackSelection>
Fragment that shows a list of ABR selections triggered by the player. Note that activities that use this Fragment must implement `ExtendedPlayerViewProvider`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  ### Fields inherited from class androidx.fragment.app.Fragment

  `mPreviousWho`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackSelectionsFragment()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onStart()`
  `void`
  `onStop()`

  ### Methods inherited from class com.castlabs.sdk.debug.view.AbstractSingleListFragment

  `onCreateView, onReload`

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getParentFragmentManager, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForActivityResult, registerForActivityResult, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrackSelectionsFragment

    public TrackSelectionsFragment()
    Default constructor

- ## Method Details

  - ### onStart

    public void onStart()
    Overrides:
      `onStart` in class `AbstractSingleListFragment<com.castlabs.sdk.debug.view.TrackSelectionsFragment.TrackSelection>`

  - ### onStop

    public void onStop()
    Overrides:
      `onStop` in class `androidx.fragment.app.Fragment`